# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
# pylint: disable=wrong-import-position

from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from ._patch import *  # pylint: disable=unused-wildcard-import


from ._models_py3 import (  # type: ignore
    AdvancedFilter,
    AzureFunctionEventSubscriptionDestination,
    BoolEqualsAdvancedFilter,
    BoolEqualsFilter,
    CaCertificate,
    CaCertificatesListResult,
    Channel,
    ChannelUpdateParameters,
    ChannelsListResult,
    Client,
    ClientCertificateAuthentication,
    ClientGroup,
    ClientGroupsListResult,
    ClientsListResult,
    ConnectionState,
    CustomDomainConfiguration,
    CustomDomainIdentity,
    CustomDomainOwnershipValidationResult,
    DeadLetterDestination,
    DeadLetterWithResourceIdentity,
    DeliveryAttributeListResult,
    DeliveryAttributeMapping,
    DeliveryConfiguration,
    DeliveryWithResourceIdentity,
    Domain,
    DomainRegenerateKeyRequest,
    DomainSharedAccessKeys,
    DomainTopic,
    DomainTopicsListResult,
    DomainUpdateParameters,
    DomainsListResult,
    DynamicDeliveryAttributeMapping,
    DynamicRoutingEnrichment,
    ErrorAdditionalInfo,
    ErrorDetail,
    ErrorResponse,
    EventHubEventSubscriptionDestination,
    EventSubscription,
    EventSubscriptionDestination,
    EventSubscriptionFilter,
    EventSubscriptionFullUrl,
    EventSubscriptionIdentity,
    EventSubscriptionUpdateParameters,
    EventSubscriptionsListResult,
    EventType,
    EventTypeInfo,
    EventTypesListResult,
    ExtensionTopic,
    Filter,
    FiltersConfiguration,
    HybridConnectionEventSubscriptionDestination,
    IdentityInfo,
    InboundIpRule,
    InlineEventProperties,
    InputSchemaMapping,
    IsNotNullAdvancedFilter,
    IsNotNullFilter,
    IsNullOrUndefinedAdvancedFilter,
    IsNullOrUndefinedFilter,
    JsonField,
    JsonFieldWithDefault,
    JsonInputSchemaMapping,
    MonitorAlertEventSubscriptionDestination,
    Namespace,
    NamespaceRegenerateKeyRequest,
    NamespaceSharedAccessKeys,
    NamespaceSku,
    NamespaceTopic,
    NamespaceTopicEventSubscriptionDestination,
    NamespaceTopicUpdateParameters,
    NamespaceTopicsListResult,
    NamespaceUpdateParameters,
    NamespacesListResult,
    NumberGreaterThanAdvancedFilter,
    NumberGreaterThanFilter,
    NumberGreaterThanOrEqualsAdvancedFilter,
    NumberGreaterThanOrEqualsFilter,
    NumberInAdvancedFilter,
    NumberInFilter,
    NumberInRangeAdvancedFilter,
    NumberInRangeFilter,
    NumberLessThanAdvancedFilter,
    NumberLessThanFilter,
    NumberLessThanOrEqualsAdvancedFilter,
    NumberLessThanOrEqualsFilter,
    NumberNotInAdvancedFilter,
    NumberNotInFilter,
    NumberNotInRangeAdvancedFilter,
    NumberNotInRangeFilter,
    Operation,
    OperationInfo,
    OperationsListResult,
    Partner,
    PartnerAuthorization,
    PartnerConfiguration,
    PartnerConfigurationUpdateParameters,
    PartnerConfigurationsListResult,
    PartnerDetails,
    PartnerNamespace,
    PartnerNamespaceRegenerateKeyRequest,
    PartnerNamespaceSharedAccessKeys,
    PartnerNamespaceUpdateParameters,
    PartnerNamespacesListResult,
    PartnerRegistration,
    PartnerRegistrationUpdateParameters,
    PartnerRegistrationsListResult,
    PartnerTopic,
    PartnerTopicInfo,
    PartnerTopicUpdateParameters,
    PartnerTopicsListResult,
    PartnerUpdateTopicInfo,
    PermissionBinding,
    PermissionBindingsListResult,
    PrivateEndpoint,
    PrivateEndpointConnection,
    PrivateEndpointConnectionListResult,
    PrivateLinkResource,
    PrivateLinkResourcesListResult,
    PushInfo,
    QueueInfo,
    Resource,
    RetryPolicy,
    RoutingEnrichments,
    RoutingIdentityInfo,
    ServiceBusQueueEventSubscriptionDestination,
    ServiceBusTopicEventSubscriptionDestination,
    StaticDeliveryAttributeMapping,
    StaticRoutingEnrichment,
    StaticStringRoutingEnrichment,
    StorageBlobDeadLetterDestination,
    StorageQueueEventSubscriptionDestination,
    StringBeginsWithAdvancedFilter,
    StringBeginsWithFilter,
    StringContainsAdvancedFilter,
    StringContainsFilter,
    StringEndsWithAdvancedFilter,
    StringEndsWithFilter,
    StringInAdvancedFilter,
    StringInFilter,
    StringNotBeginsWithAdvancedFilter,
    StringNotBeginsWithFilter,
    StringNotContainsAdvancedFilter,
    StringNotContainsFilter,
    StringNotEndsWithAdvancedFilter,
    StringNotEndsWithFilter,
    StringNotInAdvancedFilter,
    StringNotInFilter,
    Subscription,
    SubscriptionFullUrl,
    SubscriptionUpdateParameters,
    SubscriptionsListResult,
    SystemData,
    SystemTopic,
    SystemTopicUpdateParameters,
    SystemTopicsListResult,
    Topic,
    TopicRegenerateKeyRequest,
    TopicSharedAccessKeys,
    TopicSpace,
    TopicSpacesConfiguration,
    TopicSpacesListResult,
    TopicTypeAdditionalEnforcedPermission,
    TopicTypeInfo,
    TopicTypesListResult,
    TopicUpdateParameters,
    TopicsConfiguration,
    TopicsListResult,
    TrackedResource,
    UpdateTopicSpacesConfigurationInfo,
    UpdateTopicsConfigurationInfo,
    UserIdentityProperties,
    VerifiedPartner,
    VerifiedPartnersListResult,
    WebHookEventSubscriptionDestination,
)

from ._event_grid_management_client_enums import (  # type: ignore
    AdvancedFilterOperatorType,
    CaCertificateProvisioningState,
    ChannelProvisioningState,
    ChannelType,
    ClientCertificateValidationScheme,
    ClientGroupProvisioningState,
    ClientProvisioningState,
    ClientState,
    CreatedByType,
    CustomDomainIdentityType,
    CustomDomainValidationState,
    DataResidencyBoundary,
    DeadLetterEndPointType,
    DeliveryAttributeMappingType,
    DeliveryMode,
    DeliverySchema,
    DomainProvisioningState,
    DomainTopicProvisioningState,
    EndpointType,
    EventDefinitionKind,
    EventDeliverySchema,
    EventInputSchema,
    EventSubscriptionIdentityType,
    EventSubscriptionProvisioningState,
    FilterOperatorType,
    IdentityType,
    InputSchema,
    InputSchemaMappingType,
    IpActionType,
    MonitorAlertSeverity,
    NamespaceProvisioningState,
    NamespaceTopicProvisioningState,
    PartnerConfigurationProvisioningState,
    PartnerNamespaceProvisioningState,
    PartnerRegistrationProvisioningState,
    PartnerTopicActivationState,
    PartnerTopicProvisioningState,
    PartnerTopicRoutingMode,
    PermissionBindingProvisioningState,
    PermissionType,
    PersistedConnectionStatus,
    PrivateEndpointConnectionsParentType,
    PublicNetworkAccess,
    PublisherType,
    ReadinessState,
    ResourceProvisioningState,
    ResourceRegionType,
    RoutingIdentityType,
    SkuName,
    StaticRoutingEnrichmentType,
    SubscriptionProvisioningState,
    TlsVersion,
    TopicProvisioningState,
    TopicSpaceProvisioningState,
    TopicSpacesConfigurationState,
    TopicTypeProvisioningState,
    TopicTypeSourceScope,
    VerifiedPartnerProvisioningState,
)
from ._patch import __all__ as _patch_all
from ._patch import *
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "AdvancedFilter",
    "AzureFunctionEventSubscriptionDestination",
    "BoolEqualsAdvancedFilter",
    "BoolEqualsFilter",
    "CaCertificate",
    "CaCertificatesListResult",
    "Channel",
    "ChannelUpdateParameters",
    "ChannelsListResult",
    "Client",
    "ClientCertificateAuthentication",
    "ClientGroup",
    "ClientGroupsListResult",
    "ClientsListResult",
    "ConnectionState",
    "CustomDomainConfiguration",
    "CustomDomainIdentity",
    "CustomDomainOwnershipValidationResult",
    "DeadLetterDestination",
    "DeadLetterWithResourceIdentity",
    "DeliveryAttributeListResult",
    "DeliveryAttributeMapping",
    "DeliveryConfiguration",
    "DeliveryWithResourceIdentity",
    "Domain",
    "DomainRegenerateKeyRequest",
    "DomainSharedAccessKeys",
    "DomainTopic",
    "DomainTopicsListResult",
    "DomainUpdateParameters",
    "DomainsListResult",
    "DynamicDeliveryAttributeMapping",
    "DynamicRoutingEnrichment",
    "ErrorAdditionalInfo",
    "ErrorDetail",
    "ErrorResponse",
    "EventHubEventSubscriptionDestination",
    "EventSubscription",
    "EventSubscriptionDestination",
    "EventSubscriptionFilter",
    "EventSubscriptionFullUrl",
    "EventSubscriptionIdentity",
    "EventSubscriptionUpdateParameters",
    "EventSubscriptionsListResult",
    "EventType",
    "EventTypeInfo",
    "EventTypesListResult",
    "ExtensionTopic",
    "Filter",
    "FiltersConfiguration",
    "HybridConnectionEventSubscriptionDestination",
    "IdentityInfo",
    "InboundIpRule",
    "InlineEventProperties",
    "InputSchemaMapping",
    "IsNotNullAdvancedFilter",
    "IsNotNullFilter",
    "IsNullOrUndefinedAdvancedFilter",
    "IsNullOrUndefinedFilter",
    "JsonField",
    "JsonFieldWithDefault",
    "JsonInputSchemaMapping",
    "MonitorAlertEventSubscriptionDestination",
    "Namespace",
    "NamespaceRegenerateKeyRequest",
    "NamespaceSharedAccessKeys",
    "NamespaceSku",
    "NamespaceTopic",
    "NamespaceTopicEventSubscriptionDestination",
    "NamespaceTopicUpdateParameters",
    "NamespaceTopicsListResult",
    "NamespaceUpdateParameters",
    "NamespacesListResult",
    "NumberGreaterThanAdvancedFilter",
    "NumberGreaterThanFilter",
    "NumberGreaterThanOrEqualsAdvancedFilter",
    "NumberGreaterThanOrEqualsFilter",
    "NumberInAdvancedFilter",
    "NumberInFilter",
    "NumberInRangeAdvancedFilter",
    "NumberInRangeFilter",
    "NumberLessThanAdvancedFilter",
    "NumberLessThanFilter",
    "NumberLessThanOrEqualsAdvancedFilter",
    "NumberLessThanOrEqualsFilter",
    "NumberNotInAdvancedFilter",
    "NumberNotInFilter",
    "NumberNotInRangeAdvancedFilter",
    "NumberNotInRangeFilter",
    "Operation",
    "OperationInfo",
    "OperationsListResult",
    "Partner",
    "PartnerAuthorization",
    "PartnerConfiguration",
    "PartnerConfigurationUpdateParameters",
    "PartnerConfigurationsListResult",
    "PartnerDetails",
    "PartnerNamespace",
    "PartnerNamespaceRegenerateKeyRequest",
    "PartnerNamespaceSharedAccessKeys",
    "PartnerNamespaceUpdateParameters",
    "PartnerNamespacesListResult",
    "PartnerRegistration",
    "PartnerRegistrationUpdateParameters",
    "PartnerRegistrationsListResult",
    "PartnerTopic",
    "PartnerTopicInfo",
    "PartnerTopicUpdateParameters",
    "PartnerTopicsListResult",
    "PartnerUpdateTopicInfo",
    "PermissionBinding",
    "PermissionBindingsListResult",
    "PrivateEndpoint",
    "PrivateEndpointConnection",
    "PrivateEndpointConnectionListResult",
    "PrivateLinkResource",
    "PrivateLinkResourcesListResult",
    "PushInfo",
    "QueueInfo",
    "Resource",
    "RetryPolicy",
    "RoutingEnrichments",
    "RoutingIdentityInfo",
    "ServiceBusQueueEventSubscriptionDestination",
    "ServiceBusTopicEventSubscriptionDestination",
    "StaticDeliveryAttributeMapping",
    "StaticRoutingEnrichment",
    "StaticStringRoutingEnrichment",
    "StorageBlobDeadLetterDestination",
    "StorageQueueEventSubscriptionDestination",
    "StringBeginsWithAdvancedFilter",
    "StringBeginsWithFilter",
    "StringContainsAdvancedFilter",
    "StringContainsFilter",
    "StringEndsWithAdvancedFilter",
    "StringEndsWithFilter",
    "StringInAdvancedFilter",
    "StringInFilter",
    "StringNotBeginsWithAdvancedFilter",
    "StringNotBeginsWithFilter",
    "StringNotContainsAdvancedFilter",
    "StringNotContainsFilter",
    "StringNotEndsWithAdvancedFilter",
    "StringNotEndsWithFilter",
    "StringNotInAdvancedFilter",
    "StringNotInFilter",
    "Subscription",
    "SubscriptionFullUrl",
    "SubscriptionUpdateParameters",
    "SubscriptionsListResult",
    "SystemData",
    "SystemTopic",
    "SystemTopicUpdateParameters",
    "SystemTopicsListResult",
    "Topic",
    "TopicRegenerateKeyRequest",
    "TopicSharedAccessKeys",
    "TopicSpace",
    "TopicSpacesConfiguration",
    "TopicSpacesListResult",
    "TopicTypeAdditionalEnforcedPermission",
    "TopicTypeInfo",
    "TopicTypesListResult",
    "TopicUpdateParameters",
    "TopicsConfiguration",
    "TopicsListResult",
    "TrackedResource",
    "UpdateTopicSpacesConfigurationInfo",
    "UpdateTopicsConfigurationInfo",
    "UserIdentityProperties",
    "VerifiedPartner",
    "VerifiedPartnersListResult",
    "WebHookEventSubscriptionDestination",
    "AdvancedFilterOperatorType",
    "CaCertificateProvisioningState",
    "ChannelProvisioningState",
    "ChannelType",
    "ClientCertificateValidationScheme",
    "ClientGroupProvisioningState",
    "ClientProvisioningState",
    "ClientState",
    "CreatedByType",
    "CustomDomainIdentityType",
    "CustomDomainValidationState",
    "DataResidencyBoundary",
    "DeadLetterEndPointType",
    "DeliveryAttributeMappingType",
    "DeliveryMode",
    "DeliverySchema",
    "DomainProvisioningState",
    "DomainTopicProvisioningState",
    "EndpointType",
    "EventDefinitionKind",
    "EventDeliverySchema",
    "EventInputSchema",
    "EventSubscriptionIdentityType",
    "EventSubscriptionProvisioningState",
    "FilterOperatorType",
    "IdentityType",
    "InputSchema",
    "InputSchemaMappingType",
    "IpActionType",
    "MonitorAlertSeverity",
    "NamespaceProvisioningState",
    "NamespaceTopicProvisioningState",
    "PartnerConfigurationProvisioningState",
    "PartnerNamespaceProvisioningState",
    "PartnerRegistrationProvisioningState",
    "PartnerTopicActivationState",
    "PartnerTopicProvisioningState",
    "PartnerTopicRoutingMode",
    "PermissionBindingProvisioningState",
    "PermissionType",
    "PersistedConnectionStatus",
    "PrivateEndpointConnectionsParentType",
    "PublicNetworkAccess",
    "PublisherType",
    "ReadinessState",
    "ResourceProvisioningState",
    "ResourceRegionType",
    "RoutingIdentityType",
    "SkuName",
    "StaticRoutingEnrichmentType",
    "SubscriptionProvisioningState",
    "TlsVersion",
    "TopicProvisioningState",
    "TopicSpaceProvisioningState",
    "TopicSpacesConfigurationState",
    "TopicTypeProvisioningState",
    "TopicTypeSourceScope",
    "VerifiedPartnerProvisioningState",
]
__all__.extend([p for p in _patch_all if p not in __all__])  # pyright: ignore
_patch_sdk()
